jconsole(1)

NAME
jconsole - J2SE Monitoring and Management Console

SYNOPSIS
jconsole [ options ] [ pid | [ host:port ... ] ]

PARAMETERS

pid Process ID of a Java VM that was started with -Dcom.sun.management.jmxremote option on the same machine. See JMX Monitoring and Management for details at http://java.sun.com/j2se/1.5.0/docs/guide/management/agent.html.

host:port
    Host name on which the Java VM is running and the port number through which the Java VM's JMX Connector is published. See JMX Monitoring and Management for details at http://java.sun.com/j2se/1.5.0/docs/guide/management/agent.html.

DESCRIPTION
The jconsole command launches a graphical console tool that enables you to monitor and manage Java applications and virtual machines on a local or remote machine.

NOTE- This tool is experimental and may not be available in future versions of the JDK.

OPTIONS

-interval=n
    Set the update interval to n seconds (default is 4 seconds)

-notile
    Do not tile windows initially (for two or more connections)

-version
    Output version information abd exit.

-help
    Output help message and exit.

SEE ALSO
Monitoring and Management for Java Platform at http://java.sun.com/j2se/1.5.0/docs/guide/management/index.html